Try MAXST AR Fusion Tracker Now ✨
List
More than one file was found with OS independent path
Posted Date: 2022-01-15 21:24     Edited Date: 2022-01-25 6:58     Writer: fl1re.nubo

Please provide your development details as below;

1. SDK Version: 5.0.2
2. Development Environment: Unity-Android
3. Tracker/Scanner: Image Fusion Tracker
4. License Type: Free
5. Target Device(Optional): Xiomi Poco X3 NFC

Hello, I have a problem with building Android apps.
When Unity is building apk an error pops up.


Console Log:
 

 Task :unityLibrary:preBuild UP-TO-DATE
> Task :launcher:preBuild UP-TO-DATE
> Task :unityLibrary:preReleaseBuild UP-TO-DATE
> Task :launcher:prepareLintJar UP-TO-DATE
> Task :unityLibrary:checkReleaseManifest UP-TO-DATE
> Task :unityLibrary:processReleaseManifest
> Task :unityLibrary:compileReleaseAidl NO-SOURCE
> Task :unityLibrary:packageReleaseRenderscript NO-SOURCE
> Task :unityLibrary:compileReleaseRenderscript NO-SOURCE
> Task :unityLibrary:generateReleaseBuildConfig UP-TO-DATE
> Task :unityLibrary:generateReleaseResValues UP-TO-DATE
> Task :unityLibrary:generateReleaseResources UP-TO-DATE
> Task :unityLibrary:packageReleaseResources UP-TO-DATE
> Task :unityLibrary:generateReleaseRFile UP-TO-DATE
> Task :unityLibrary:prepareLintJar UP-TO-DATE
> Task :unityLibrary:generateReleaseSources UP-TO-DATE
> Task :launcher:preReleaseBuild
> Task :launcher:compileReleaseAidl NO-SOURCE
> Task :launcher:compileReleaseRenderscript NO-SOURCE
> Task :unityLibrary:javaPreCompileRelease UP-TO-DATE
> Task :launcher:checkReleaseManifest UP-TO-DATE
> Task :launcher:generateReleaseBuildConfig UP-TO-DATE
> Task :launcher:generateReleaseSources UP-TO-DATE
> Task :launcher:mainApkListPersistenceRelease UP-TO-DATE
> Task :launcher:generateReleaseResValues UP-TO-DATE
> Task :launcher:generateReleaseResources UP-TO-DATE
> Task :unityLibrary:compileReleaseJavaWithJavac UP-TO-DATE
> Task :unityLibrary:bundleLibCompileRelease UP-TO-DATE
> Task :unityLibrary:prepareLintJarForPublish UP-TO-DATE
> Task :unityLibrary:mergeReleaseShaders UP-TO-DATE
> Task :unityLibrary:compileReleaseShaders UP-TO-DATE
> Task :unityLibrary:generateReleaseAssets UP-TO-DATE
> Task :launcher:mergeReleaseResources UP-TO-DATE
> Task :launcher:javaPreCompileRelease UP-TO-DATE
> Task :launcher:createReleaseCompatibleScreenManifests UP-TO-DATE
> Task :launcher:processReleaseManifest
> Task :launcher:processReleaseResources
> Task :unityLibrary:packageReleaseAssets
> Task :launcher:compileReleaseJavaWithJavac UP-TO-DATE
> Task :launcher:compileReleaseSources UP-TO-DATE
> Task :unityLibrary:bundleLibRuntimeRelease UP-TO-DATE
> Task :unityLibrary:processReleaseJavaRes NO-SOURCE
> Task :unityLibrary:bundleLibResRelease UP-TO-DATE
> Task :unityLibrary:mergeReleaseJniLibFolders UP-TO-DATE
> Task :unityLibrary:transformNativeLibsWithMergeJniLibsForRelease UP-TO-DATE
> Task :unityLibrary:transformNativeLibsWithStripDebugSymbolForRelease UP-TO-DATE
> Task :unityLibrary:transformNativeLibsWithIntermediateJniLibsForRelease UP-TO-DATE
> Task :launcher:lintVitalRelease
> Task :launcher:mergeReleaseShaders UP-TO-DATE
> Task :launcher:compileReleaseShaders UP-TO-DATE
> Task :launcher:generateReleaseAssets UP-TO-DATE
> Task :launcher:mergeReleaseAssets
> Task :launcher:validateSigningRelease UP-TO-DATE
> Task :launcher:signingConfigWriterRelease UP-TO-DATE
> Task :launcher:checkReleaseDuplicateClasses UP-TO-DATE
> Task :launcher:transformClassesWithDexBuilderForRelease UP-TO-DATE
> Task :launcher:transformDexArchiveWithExternalLibsDexMergerForRelease UP-TO-DATE
> Task :launcher:transformDexArchiveWithDexMergerForRelease UP-TO-DATE
> Task :launcher:mergeReleaseJniLibFolders UP-TO-DATE
> Task :launcher:transformNativeLibsWithMergeJniLibsForRelease FAILED

Deprecated Gradle features were used in this build, making it incompatible with Gradle 7.0.
Use '--warning-mode all' to show the individual deprecation warnings.
See https://docs.gradle.org/6.1.1/userguide/command_line_interface.html#sec:command_line_warnings
44 actionable tasks: 8 executed, 36 up-to-date

UnityEngine.GUIUtility:ProcessEvent (int,intptr,bool&)

Posted Date: 2022-01-25 6:58     Edited Date: 2022-01-25 6:58     Writer: sjkim

Thank you for your interest in MAXST AR SDK.

 

Please check out a requirements and supports available for MAXST AR SDK.

Unity Unity 2018.1 or later
Android JDK 1.8 or later
Android NDK 20.0.5594570 or lastest version Android SDK
with BuildTools at\n\w least version 28.0.3 *Please use the latest versions of NDK and SDK if possible
iOS iOS 9.0 or later
Windows Windows 10, Visual Studio 2017 or later
macOS macOS 10.10 or later

 

 

If you have related the MAXST SDK questions, feel free to ask.

 


 
Best regards,

Francisco

MAXST Support Team